# Interface methods for submodule: GradientDescentLineSearchOptimizerv4Template
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import GradientDescentOptimizerv4TemplateProxy as _GradientDescentOptimizerv4TemplateProxy


# Interface methods for class: GradientDescentLineSearchOptimizerv4Template
class GradientDescentLineSearchOptimizerv4TemplateProxy(_GradientDescentOptimizerv4TemplateProxy):
	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def SetEpsilon(self, _arg: float) -> None:
		""""""
		...

	def GetEpsilon(self) -> float:
		""""""
		...

	def SetLowerLimit(self, _arg: float) -> None:
		""""""
		...

	def GetLowerLimit(self) -> float:
		""""""
		...

	def SetUpperLimit(self, _arg: float) -> None:
		""""""
		...

	def GetUpperLimit(self) -> float:
		""""""
		...

	def SetMaximumLineSearchIterations(self, _arg: int) -> None:
		""""""
		...

	def GetMaximumLineSearchIterations(self) -> int:
		""""""
		...

